Subject: Ticket Assigned - Centrepoint Spin & Win - Huawei prize
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 29 Jun 2022 13:44:07 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Centrepoint Spin & Win - Huawei prize Hello,

I've just participated in Centrepoint game Spin & win and I won Huwaei
prize. However when I try to put my details, the Emirates ID last digit is
not going through.
Please see attached the screenshot.
My Emirates ID number is 784-1982-9295271-4.

Please advise how I can get my prize.

Thank you.
Marina

Mob. 050 5291511

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4459415